//+------------------------------------------------------------------+
//|                                                       ArrayX.mqh |
//|                                  Copyright 2021, MetaQuotes Ltd. |
//|                                             https://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2021, MetaQuotes Ltd."
#property link      "https://www.mql5.com"


template<typename T>
bool ArrayAppend(T& array[], T n)
  {
   if(!ArrayIsDynamic(array))
      return false;

   int sz = ArraySize(array);
   ArrayResize(array, sz+1);
   array[sz] = n;
   return true;
  }
//+------------------------------------------------------------------+


template<typename T>
bool ArrayContains(T& array[], T n)
  {
   int total = ArraySize(array);
   for(int i=0; i<total; i++)
     {
      if(array[i] == n)
         return true;
     }
   return false;
  }
//+------------------------------------------------------------------+
